
Summary:        K Desktop Environment - Accessibility
Name:           kdeaccessibility
Epoch:          1
Version:        4.0.3
Release:        3%{?dist}

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://accessibility.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdeaccessibility-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: alsa-lib-devel
BuildRequires: akode-devel
BuildRequires: cmake
BuildRequires: festival
BuildRequires: flite-devel
BuildRequires: kde-filesystem >= 4
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdebase-workspace-devel >= %{version}

# FIXME/TODO: are there other explicit Requires?
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: kdelibs4 >= %{version}
Requires: kdebase-workspace >= %{version}

Obsoletes: %{name}-devel < %{?epoch:%{epoch}:}%{version}-%{release}
Provides: mono-icon-theme = %{version}-%{release}

%description
Included with this package are:
* kmag, a screen magnifier,
* kmousetool, a program for people whom it hurts to click the mouse,
* kmouth, program that allows people who have lost their voice


%prep
%setup -q


%build

mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
%{_bindir}/xdg-icon-resource forceupdate --theme mono 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
/sbin/ldconfig
%{_bindir}/xdg-icon-resource forceupdate --theme mono 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :


%files
%defattr(-,root,root,-)
%doc COPYING
%{_kde4_bindir}/*
%{_kde4_appsdir}/kmag/
%{_kde4_appsdir}/kmousetool/
%{_kde4_appsdir}/kmouth/
%{_kde4_appsdir}/kttsd/
%{_kde4_appsdir}/color-schemes/*.colors
%{_kde4_configdir}/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_docdir}/HTML/en/kmag/
%{_kde4_docdir}/HTML/en/kmousetool/
%{_kde4_docdir}/HTML/en/kmouth/
%{_kde4_docdir}/HTML/en/kttsd/
%{_kde4_iconsdir}/mono/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/lib*.so
%{_kde4_libdir}/kde4/*


%changelog
* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 1:4.0.1-1
- 4.0.1

* Tue Jan 08 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 1:4.0.0-1
- update to 4.0.0
- update file list

* Fri Dec 07 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1:3.97.0-2
- fix %%files (unpackaged mono/index.theme)

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1:3.97.0-1
- kde-3.97.0

* Tue Dec 04 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1:3.96.2-2
- minor touchups
- Provides: mono-icon-theme
- drop -libs,-devel subpkgs

* Fri Nov 30 2007 Sebastian Vahl <fedora@deadbabylon.de> 1:3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 1:3.96.1-1
- kde-3.96.1
- added epoch in changelog (also backwards)

* Thu Nov 22 2007 Sebastian Vahl <fedora@deadbabylon.de> 1:3.96.0-4
- libs subpkg

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 1:3.96.0-3
- BR: kde-filesystem >= 4

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 1:3.96.0-2
- BR: libXtst-devel
- fix copy&paste error in devel package

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 1:3.96.0-1
- Initial version for Fedora

* Tue Oct 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 1:3.5.8-3
- Obsoletes: %%name ... to help out multilib upgrades

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 1:3.5.8-2
- Obsoletes: %%name-devel

* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 1:3.5.8-1
- kde-3.5.8
- omit -devel subpkg

* Mon Aug 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 1:3.5.7-3
- License: GPLv2
- Provides: kdeaccessibility3(-devel)
- (Build)Requires: kdelibs3(-devel)

* Sat Jun 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 1:3.5.7-2
- portability (rhel)
- omit .desktop patch (doesn't apply)

* Sat Jun 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 1:3.5.7-1
- cleanup

* Thu Jun 07 2007 Than Ngo <than@redhat.com> - 1:3.5.7-0.1.fc7
- 3.5.7

* Mon Mar 12 2007 Than Ngo <than@redhat.com> 1:3.5.6-3.fc7
- fix broken dependencies

* Mon Feb 26 2007 Than Ngo <than@redhat.com> - 1:3.5.6-2.fc7
- cleanup specfile

* Wed Feb 07 2007 Than Ngo <than@redhat.com> 1:3.5.6-1.fc7
- 3.5.6

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 1:3.5.4-1
- rebuild

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 1:3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 1:3.5.3-2
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1:3.5.3-1.1
- rebuild

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 1:3.5.3-1
- update to 3.5.3

* Tue Apr 04 2006 Than Ngo <than@redhat.com> 1:3.5.2-1
- update to 3.5.2

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 3.5.1-2
- BuildRequires: libXtst-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Than Ngo <than@redhat.com> 1:3.5.1-1 
- 3.5.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec 01 2005 Than Ngo <than@redhat.com> 1:3.5.0-1
- 3.5

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 1:3.4.92-1
- update to 3.5 beta2

* Mon Oct 10 2005 Than Ngo <than@redhat.com> 1:3.4.91-1
- update to 3.5 beta 1

* Mon Aug 08 2005 Than Ngo <than@redhat.com> 1:3.4.2-1
- update to 3.4.2

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 1:3.4.1-1
- 3.4.1
- fix gcc4 build problem

* Wed Mar 16 2005 Than Ngo <than@redhat.com> 1:3.4.0-1
- KDE 3.4.0 final

* Sun Feb 27 2005 Than Ngo <than@redhat.com> 1:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Sun Feb 20 2005 Than Ngo <than@redhat.com> 1:3.3.92-0.1
- KDE 3.4 beta2

* Sun Dec 05 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2

* Fri Jun 04 2004 Than Ngo <than@redhat.com> 1:3.2.3-0.1
- update to 3.2.3

* Mon Apr 12 2004 Than Ngo <than@redhat.com> 1:3.2.2-0.1
- 3.2.2 release

* Sat Mar 06 2004 Than Ngo <than@redhat.com> 1:3.2.1-0.1
- 3.2.1 release

* Fri Feb 06 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.2
- rebuilt against qt 3.3.0

* Mon Feb 02 2004 Than Ngo <than@redhat.com> 1:3.2.0-0.1
- 3.2.0 release

* Sun Dec 07 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta 2

* Sat Nov 15 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- initial rpm for Fedora
